#include <stdio.h>
#include <stdlib.h>
#include "structures.h"
#include "classe.h"
#include "case.h"
#include "terrain.h"
#include "SDL.h"
#include "roxml.h"
#include "carte.h"

int init_jeu(const char *filename){ /* cre les diffrents types de terrains, de classes et d'attaques en lisant dans un fichier */
   FILE *fichier_init;
   fichier_init=fopen(filename,"r");
    if (!fichier_init==NULL)
    {
        node_t *rootXML, *ConfigXML, *Classes, *Terrains;
        char *nom[20];
        int i=0, nombre_config=0;

        rootXML = roxml_load_doc(filename);
        ConfigXML = roxml_get_chld(rootXML, NULL, 0);
        nombre_config = roxml_get_chld_nb(ConfigXML);

        for(i=0; i<nombre_config; i++)
        {
            node_t* config_actuelle = roxml_get_chld(ConfigXML, NULL, i);
            roxml_get_name(config_actuelle, nom, 20);

            if(strcmp(nom,"Classes")==0)
            {
                char fichier_text[50];
                char fichier_temp[50];
                strcpy(fichier_text,"../resources/");
                strcpy(fichier_temp,roxml_get_content(roxml_get_attr(config_actuelle, "fichier", 0), NULL, 0, NULL));
                strcat(fichier_text, fichier_temp);
                Librairie_Classes(fichier_text);
            }
            if(strcmp(nom,"Terrains")==0)
            {
                char fichier_text[50];
                char fichier_temp[50];
                strcpy(fichier_text,"../resources/");
                strcpy(fichier_temp,roxml_get_content(roxml_get_attr(config_actuelle, "fichier", 0), NULL, 0, NULL));
                strcat(fichier_text, fichier_temp);
                Librairie_Terrains(fichier_text);
            }
            if(strcmp(nom,"Cartes")==0)
            {
                char fichier_text[50];
                char fichier_temp[50];
                strcpy(fichier_text,"../resources/");
                strcpy(fichier_temp,roxml_get_content(roxml_get_attr(config_actuelle, "fichier", 0), NULL, 0, NULL));
                strcat(fichier_text, fichier_temp);
                char *Map_B = ExtraireCarte(2);
            }
            if(strcmp(nom,"Competences")==0)
            {
                /* Initialisation des comptences  venir */

            }
        }

        fclose(fichier_init);

    }else{
        fprintf(stderr,"Erreur dans l'ouverture du fichier");
        return 1;
    }
    return 0;
}




int main()
{

init_jeu("../resources/Init_jeu.xml");


char *Map_A = ExtraireCarte(4);

printf("Map en version texte : %s\n", Map_A);


main_SDL(Map_A);


return 0;
}
